> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-projects/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get a list of all projects. GET https://app.unleash-instance.example.com/api/admin/projects This endpoint returns an list of all the projects in the Unleash instance. Reference: https://docs.getunleash.io/api/get-projects ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Query parameters - `archived` (boolean, optional) ## Response ### 200 projectsSchema - `version` (integer, required) — The schema version used to represent the project data. - `projects` (list of projectSchema, required) — A list of projects in the Unleash instance ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### projectSchema A definition of the project used for projects listing purposes - `id` (string, required) — The id of this project - `name` (string, required) — The name of this project - `technicalDebt` (double, optional) — An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 - `featureCount` (double, optional) — The number of features this project has - `memberCount` (double, optional) — The number of members this project has - `cleanupCount` (double, optional) — The number of features in this project that have completed their lifecycle and are ready for cleanup - `onboardingStatus` (onboardingStatusSchema, optional) — The current onboarding status of a project. - `createdAt` (string, optional) — When this project was created. - `lastUpdatedAt` (string, optional, nullable) — When this project was last updated. - `archivedAt` (string, optional, nullable) — When this project was archived. - `favorite` (boolean, optional) — `true` if the project was favorited, otherwise `false`. - `mode` (enum, optional) — The project's [collaboration mode](https://docs.getunleash.io/concepts/project-collaboration-mode). Determines whether non-project members can submit change requests or not. - Allowed values: `open`, `protected`, `private` - `lastReportedFlagUsage` (string, optional, nullable) — Across all flags in your project this is the last time usage metrics where reported from connected applications. - `owners` (ProjectSchemaOwners, optional) — The users and/or groups that have the "owner" role in this project. If no such users or groups exist, the list will contain the "system" owner instead. - `description` (string, optional, nullable, deprecated) — Additional information about the project - `health` (double, optional, deprecated) — Use `technicalDebt` instead. - `staleFeatureCount` (double, optional, deprecated) — The number of stale features this project has - `potentiallyStaleFeatureCount` (double, optional, deprecated) — The number of potentially stale features this project has - `updatedAt` (string, optional, nullable, deprecated) — When this project was last updated. - `defaultStickiness` (string, optional, deprecated) — A default stickiness for the project affecting the default stickiness value for variants and Gradual Rollout strategy - `avgTimeToProduction` (double, optional, deprecated) — The average time from when a feature was created to when it was enabled in the "production" environment during the current window ### onboardingStatusSchema The current onboarding status of a project. ### ProjectSchemaOwners The users and/or groups that have the "owner" role in this project. If no such users or groups exist, the list will contain the "system" owner instead. ### OnboardingStatusSchema0 - `status` (enum, required) - Allowed values: `onboarding-started`, `sdk-connected`, `onboarded` ### OnboardingStatusSchema1 - `status` (enum, required) - Allowed values: `first-flag-created` - `feature` (string, required) — The name of the feature flag ## Examples **Response** ```json { "version": 1, "projects": [ { "id": "dx-squad", "name": "DX-Squad", "technicalDebt": 25, "featureCount": 10, "memberCount": 4, "cleanupCount": 3, "onboardingStatus": { "feature": "my-feature-flag", "status": "first-flag-created" }, "createdAt": "2023-07-27T12:12:28Z", "lastUpdatedAt": "2023-07-28T12:12:28Z", "archivedAt": "2023-07-28T12:12:28Z", "favorite": true, "mode": "open", "lastReportedFlagUsage": "2023-07-28T12:12:28Z", "owners": [ { "email": "user@example.com", "imageUrl": "https://example.com/image.jpg", "name": "User Name", "ownerType": "user" } ], "description": "DX squad feature release", "health": 50, "staleFeatureCount": 10, "potentiallyStaleFeatureCount": 10, "updatedAt": "2023-07-28T12:12:28Z", "defaultStickiness": "userId", "avgTimeToProduction": 10 } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```